osgViewer::View Class Reference

`#include <View>`

Inheritance diagram for osgViewer::View:

## Classes

struct | StereoSlaveCallback

## Public Types

typedef std::vector< osg::ref_ptr< osgGA::Device > > | Devices
typedef std::list< osg::ref_ptr< osgGA::EventHandler > > | EventHandlers
Public Types inherited from osg::View
enum | LightingMode { NO_LIGHT , HEADLIGHT , SKY_LIGHT }
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }

## Public Member Functions

| View ()
| View (const osgViewer::View &view, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgViewer, View)
virtual osg::View * | asView ()
ViewerBase * | getViewerBase ()
virtual void | take (osg::View &rhs)
virtual void | setStartTick (osg::Timer_t tick)
osg::Timer_t | getStartTick () const
Scene * | getScene ()
const Scene * | getScene () const
virtual void | setSceneData (osg::Node *node)
template<class T>
void | setSceneData (const osg::ref_ptr< T > &node)
osg::Node * | getSceneData ()
const osg::Node * | getSceneData () const
void | setDatabasePager (osgDB::DatabasePager *dp)
template<class T>
void | setDatabasePager (const osg::ref_ptr< T > &dp)
osgDB::DatabasePager * | getDatabasePager ()
const osgDB::DatabasePager * | getDatabasePager () const
void | setImagePager (osgDB::ImagePager *ip)
template<class T>
void | setImagePager (const osg::ref_ptr< T > &ip)
osgDB::ImagePager * | getImagePager ()
const osgDB::ImagePager * | getImagePager () const
void | addDevice (osgGA::Device *eventSource)
template<class T>
void | addDevice (const osg::ref_ptr< T > &eventSource)
void | removeDevice (osgGA::Device *eventSource)
template<class T>
void | removeDevice (const osg::ref_ptr< T > &eventSource)
Devices & | getDevices ()
const Devices & | getDevices () const
void | setEventQueue (osgGA::EventQueue *eventQueue)
template<class T>
void | setEventQueue (const osg::ref_ptr< T > &eventQueue)
osgGA::EventQueue * | getEventQueue ()
const osgGA::EventQueue * | getEventQueue () const
void | setCameraManipulator (osgGA::CameraManipulator *manipulator, bool resetPosition=true)
template<class T>
void | setCameraManipulator (const osg::ref_ptr< T > &manipulator, bool resetPosition=true)
osgGA::CameraManipulator * | getCameraManipulator ()
const osgGA::CameraManipulator * | getCameraManipulator () const
void | home ()
void | addEventHandler (osgGA::EventHandler *eventHandler)
template<class T>
void | addEventHandler (const osg::ref_ptr< T > &eventHandler)
void | removeEventHandler (osgGA::EventHandler *eventHandler)
template<class T>
void | removeEventHandler (const osg::ref_ptr< T > &eventHandler)
EventHandlers & | getEventHandlers ()
const EventHandlers & | getEventHandlers () const
void | setCoordinateSystemNodePath (const osg::NodePath &nodePath)
osg::NodePath | getCoordinateSystemNodePath () const
void | computeActiveCoordinateSystemNodePath ()
void | setDisplaySettings (osg::DisplaySettings *ds)
template<class T>
void | setDisplaySettings (const osg::ref_ptr< T > &ds)
osg::DisplaySettings * | getDisplaySettings ()
const osg::DisplaySettings * | getDisplaySettings () const
void | setFusionDistance (osgUtil::SceneView::FusionDistanceMode mode, float value=1.0f)
osgUtil::SceneView::FusionDistanceMode | getFusionDistanceMode () const
float | getFusionDistanceValue () const
void | apply (ViewConfig *config)
template<class T>
void | apply (const osg::ref_ptr< T > &config)
ViewConfig * | getLastAppliedViewConfig ()
const ViewConfig * | getLastAppliedViewConfig () const
void | setUpViewAcrossAllScreens ()
void | setUpViewInWindow (int x, int y, int width, int height, unsigned int screenNum=0)
void | setUpViewOnSingleScreen (unsigned int screenNum=0)
void | setUpViewFor3DSphericalDisplay (double radius=1.0, double collar=0.45, unsigned int screenNum=0, osg::Image *intensityMap=0, const osg::Matrixd &projectorMatrix=osg::Matrixd())
void | setUpViewForPanoramicSphericalDisplay (double radius=1.0, double collar=0.45, unsigned int screenNum=0, osg::Image *intensityMap=0, const osg::Matrixd &projectorMatrix=osg::Matrixd())
void | setUpViewForWoWVxDisplay (unsigned int screenNum, unsigned char wow_content, unsigned char wow_factor, unsigned char wow_offset, float wow_disparity_Zd, float wow_disparity_vz, float wow_disparity_M, float wow_disparity_C)
bool | setUpDepthPartitionForCamera (osg::Camera *cameraToPartition, DepthPartitionSettings *dps=0)
bool | setUpDepthPartition (DepthPartitionSettings *dsp=0)
bool | containsCamera (const osg::Camera *camera) const
template<class T>
bool | containsCamera (const osg::ref_ptr< T > &camera) const
const osg::Camera * | getCameraContainingPosition (float x, float y, float &local_x, float &local_y) const
bool | computeIntersections (float x, float y, osgUtil::LineSegmentIntersector::Intersections &intersections, osg::Node::NodeMask traversalMask=0xffffffff)
bool | computeIntersections (float x, float y, const osg::NodePath &nodePath, osgUtil::LineSegmentIntersector::Intersections &intersections, osg::Node::NodeMask traversalMask=0xffffffff)
bool | computeIntersections (const osgGA::GUIEventAdapter &ea, osgUtil::LineSegmentIntersector::Intersections &intersections, osg::Node::NodeMask traversalMask=0xffffffff)
bool | computeIntersections (const osgGA::GUIEventAdapter &ea, const osg::NodePath &nodePath, osgUtil::LineSegmentIntersector::Intersections &intersections, osg::Node::NodeMask traversalMask=0xffffffff)
bool | computeIntersections (const osg::Camera *camera, osgUtil::Intersector::CoordinateFrame cf, float x, float y, osgUtil::LineSegmentIntersector::Intersections &intersections, osg::Node::NodeMask traversalMask=0xffffffff)
bool | computeIntersections (const osg::Camera *camera, osgUtil::Intersector::CoordinateFrame cf, float x, float y, const osg::NodePath &nodePath, osgUtil::LineSegmentIntersector::Intersections &intersections, osg::Node::NodeMask traversalMask=0xffffffff)
virtual void | requestRedraw ()
virtual void | requestContinuousUpdate (bool needed=true)
virtual void | requestWarpPointer (float x, float y)
virtual bool | requiresUpdateSceneGraph () const
virtual bool | requiresRedraw () const
osg::Texture * | createDistortionTexture (int width, int height)
osg::Camera * | assignRenderToTextureCamera (osg::GraphicsContext *gc, int width, int height, osg::Texture *texture)
osg::Camera * | assignKeystoneDistortionCamera (osg::DisplaySettings *ds, osg::GraphicsContext *gc, int x, int y, int width, int height, GLenum buffer, osg::Texture *texture, Keystone *keystone)
osg::Camera * | assignStereoCamera (osg::DisplaySettings *ds, osg::GraphicsContext *gc, int x, int y, int width, int height, GLenum buffer, double eyeScale)
void | assignStereoOrKeystoneToCamera (osg::Camera *camera, osg::DisplaySettings *ds)
void | assignSceneDataToCameras ()
void | init ()
Public Member Functions inherited from osg::View
| View ()
| View (const osg::View &view, const osg::CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Object (osg, View)
void | setStats (osg::Stats *stats)
osg::Stats * | getStats ()
const osg::Stats * | getStats () const
void | setLightingMode (LightingMode lightingMode)
LightingMode | getLightingMode () const
void | setLight (osg::Light *light)
osg::Light * | getLight ()
const osg::Light * | getLight () const
void | setCamera (osg::Camera *camera)
osg::Camera * | getCamera ()
const osg::Camera * | getCamera () const
void | setFrameStamp (osg::FrameStamp *fs)
osg::FrameStamp * | getFrameStamp ()
const osg::FrameStamp * | getFrameStamp () const
bool | addSlave (osg::Camera *camera, bool useMastersSceneData=true)
bool | addSlave (osg::Camera *camera, const osg::Matrix &projectionOffset, const osg::Matrix &viewOffset, bool useMastersSceneData=true)
bool | removeSlave (unsigned int pos)
unsigned int | getNumSlaves () const
Slave & | getSlave (unsigned int pos)
const Slave & | getSlave (unsigned int pos) const
unsigned int | findSlaveIndexForCamera (osg::Camera *camera) const
Slave * | findSlaveForCamera (osg::Camera *camera)
void | updateSlaves ()
virtual void | resizeGLObjectBuffers (unsigned int maxSize)
virtual void | releaseGLObjects (osg::State *=0) const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const
Public Member Functions inherited from osgGA::GUIActionAdapter
virtual | ~GUIActionAdapter ()

## Protected Member Functions

virtual | ~View ()
virtual osg::GraphicsOperation * | createRenderer (osg::Camera *camera)
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

osg::observer_ptr< ViewerBase > | _viewerBase
osg::Timer_t | _startTick
Devices | _eventSources
osg::ref_ptr< osgViewer::Scene > | _scene
osg::ref_ptr< osgGA::EventQueue > | _eventQueue
osg::ref_ptr< osgGA::CameraManipulator > | _cameraManipulator
EventHandlers | _eventHandlers
osg::ObserverNodePath | _coordinateSystemNodePath
osg::ref_ptr< osg::DisplaySettings > | _displaySettings
osgUtil::SceneView::FusionDistanceMode | _fusionDistanceMode
float | _fusionDistanceValue
osg::ref_ptr< ViewConfig > | _lastAppliedViewConfig
Protected Attributes inherited from osg::View
osg::ref_ptr< osg::Stats > | _stats
LightingMode | _lightingMode
osg::ref_ptr< osg::Light > | _light
osg::ref_ptr< osg::Camera > | _camera
Slaves | _slaves
osg::ref_ptr< osg::FrameStamp > | _frameStamp
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Friends

class | CompositeViewer

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Types inherited from osg::View
typedef std::vector< Slave > | Slaves

## Detailed Description

View holds a single view on a scene, this view may be composed of one or more slave cameras.

## Member Typedef Documentation

## Devices

typedef std::vector< osg::ref_ptr<osgGA::Device> > osgViewer::View::Devices

## EventHandlers

typedef std::list< osg::ref_ptr<osgGA::EventHandler> > osgViewer::View::EventHandlers

## Constructor & Destructor Documentation

## View() [1/2]

osgViewer::View::View | ( |  | ) |

Referenced by META_Object().

## View() [2/2]

osgViewer::View::View | ( | const osgViewer::View & | view,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

References osg::CopyOp::SHALLOW_COPY.

## ~View()

virtual osgViewer::View::~View | ( |  | ) |

protected virtual

Reimplemented from osg::View.

## Member Function Documentation

## addDevice() [1/2]

template<class T>

void osgViewer::View::addDevice | ( | const osg::ref_ptr< T > & | eventSource | ) |

inline

References addDevice(), and osg::ref_ptr< T >::get().

Referenced by addDevice().

## addDevice() [2/2]

void osgViewer::View::addDevice | ( | osgGA::Device * | eventSource | ) |

Add a Device. The Device is polled on each new frame via it's Device::checkEvents() method and any events generated then collected via Device::getEventQueue()

## addEventHandler() [1/2]

template<class T>

void osgViewer::View::addEventHandler | ( | const osg::ref_ptr< T > & | eventHandler | ) |

inline

References addEventHandler(), and osg::ref_ptr< T >::get().

Referenced by addEventHandler().

## addEventHandler() [2/2]

void osgViewer::View::addEventHandler | ( | osgGA::EventHandler * | eventHandler | ) |

Add an EventHandler that adds handling of events to the View.

## apply() [1/2]

template<class T>

void osgViewer::View::apply | ( | const osg::ref_ptr< T > & | config | ) |

inline

References apply(), and osg::ref_ptr< T >::get().

Referenced by apply().

## apply() [2/2]

void osgViewer::View::apply | ( | ViewConfig * | config | ) |

Apply a viewer configuration to set up Cameras and Windowing.

## assignKeystoneDistortionCamera()

osg::Camera * osgViewer::View::assignKeystoneDistortionCamera | ( | osg::DisplaySettings * | ds,
|  | osg::GraphicsContext * | gc,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | GLenum | buffer,
|  | osg::Texture * | texture,
|  | Keystone * | keystone )

## assignRenderToTextureCamera()

osg::Camera * osgViewer::View::assignRenderToTextureCamera | ( | osg::GraphicsContext * | gc,
|  | int | width,
|  | int | height,
|  | osg::Texture * | texture )

## assignSceneDataToCameras()

void osgViewer::View::assignSceneDataToCameras | ( |  | ) |

## assignStereoCamera()

osg::Camera * osgViewer::View::assignStereoCamera | ( | osg::DisplaySettings * | ds,
|  | osg::GraphicsContext * | gc,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | GLenum | buffer,
|  | double | eyeScale )

## assignStereoOrKeystoneToCamera()

void osgViewer::View::assignStereoOrKeystoneToCamera | ( | osg::Camera * | camera,
|  | osg::DisplaySettings * | ds )

## asView()

virtual osg::View * osgViewer::View::asView | ( |  | ) |

inline virtual

Provide a mechanism for getting the osg::View associated from the GUIActionAdapter. One would use this to case view to osgViewer::View(er) if supported by the subclass.

Reimplemented from osgGA::GUIActionAdapter.

## computeActiveCoordinateSystemNodePath()

void osgViewer::View::computeActiveCoordinateSystemNodePath | ( |  | ) |

Compute the NodePath to any active CoordinateSystemNode present in the Scene.

## computeIntersections() [1/6]

bool osgViewer::View::computeIntersections | ( | const osg::Camera * | camera,
|  | osgUtil::Intersector::CoordinateFrame | cf,
|  | float | x,
|  | float | y,
|  | const osg::NodePath & | nodePath,
|  | osgUtil::LineSegmentIntersector::Intersections & | intersections,
|  | osg::Node::NodeMask | traversalMask = 0xffffffff )

Compute intersections of a ray through the specified camera and a specified nodePath's subgraph.

## computeIntersections() [2/6]

bool osgViewer::View::computeIntersections | ( | const osg::Camera * | camera,
|  | osgUtil::Intersector::CoordinateFrame | cf,
|  | float | x,
|  | float | y,
|  | osgUtil::LineSegmentIntersector::Intersections & | intersections,
|  | osg::Node::NodeMask | traversalMask = 0xffffffff )

Compute intersections of a ray through the specified camera.

## computeIntersections() [3/6]

bool osgViewer::View::computeIntersections | ( | const osgGA::GUIEventAdapter & | ea,
|  | const osg::NodePath & | nodePath,
|  | osgUtil::LineSegmentIntersector::Intersections & | intersections,
|  | osg::Node::NodeMask | traversalMask = 0xffffffff )

virtual

Compute intersections of a ray, starting the current mouse position, through the specified master camera's window/eye coordinates and a specified nodePath's subgraph.

Reimplemented from osgGA::GUIActionAdapter.

## computeIntersections() [4/6]

bool osgViewer::View::computeIntersections | ( | const osgGA::GUIEventAdapter & | ea,
|  | osgUtil::LineSegmentIntersector::Intersections & | intersections,
|  | osg::Node::NodeMask | traversalMask = 0xffffffff )

virtual

Compute intersections of a ray, starting the current mouse position, through the specified camera.

Reimplemented from osgGA::GUIActionAdapter.

## computeIntersections() [5/6]

bool osgViewer::View::computeIntersections | ( | float | x,
|  | float | y,
|  | const osg::NodePath & | nodePath,
|  | osgUtil::LineSegmentIntersector::Intersections & | intersections,
|  | osg::Node::NodeMask | traversalMask = 0xffffffff )

deprecated.

## computeIntersections() [6/6]

bool osgViewer::View::computeIntersections | ( | float | x,
|  | float | y,
|  | osgUtil::LineSegmentIntersector::Intersections & | intersections,
|  | osg::Node::NodeMask | traversalMask = 0xffffffff )

deprecated.

## containsCamera() [1/2]

bool osgViewer::View::containsCamera | ( | const osg::Camera * | camera | ) | const

Return true if this view contains a specified camera.

## containsCamera() [2/2]

template<class T>

bool osgViewer::View::containsCamera | ( | const osg::ref_ptr< T > & | camera | ) | const

inline

References containsCamera(), and osg::ref_ptr< T >::get().

Referenced by containsCamera().

## createDistortionTexture()

osg::Texture * osgViewer::View::createDistortionTexture | ( | int | width,
|  | int | height )

## createRenderer()

virtual osg::GraphicsOperation * osgViewer::View::createRenderer | ( | osg::Camera * | camera | ) |

protected virtual

Reimplemented from osg::View.

## getCameraContainingPosition()

const osg::Camera * osgViewer::View::getCameraContainingPosition | ( | float | x,
|  | float | y,
|  | float & | local_x,
|  | float & | local_y ) const

deprecated.

## getCameraManipulator() [1/2]

osgGA::CameraManipulator * osgViewer::View::getCameraManipulator | ( |  | ) |

inline

Get the View's CameraManipulator.

References _cameraManipulator.

## getCameraManipulator() [2/2]

const osgGA::CameraManipulator * osgViewer::View::getCameraManipulator | ( |  | ) | const

inline

Get the const View's CameraManipulator.

References _cameraManipulator.

## getCoordinateSystemNodePath()

osg::NodePath osgViewer::View::getCoordinateSystemNodePath | ( |  | ) | const

Get the NodePath to any active CoordinateSystemNode present in the Scene.

## getDatabasePager() [1/2]

osgDB::DatabasePager * osgViewer::View::getDatabasePager | ( |  | ) |

Get the View's database pager.

## getDatabasePager() [2/2]

const osgDB::DatabasePager * osgViewer::View::getDatabasePager | ( |  | ) | const

Get the const View's database pager.

## getDevices() [1/2]

Devices & osgViewer::View::getDevices | ( |  | ) |

inline

References _eventSources.

## getDevices() [2/2]

const Devices & osgViewer::View::getDevices | ( |  | ) | const

inline

References _eventSources.

## getDisplaySettings() [1/2]

osg::DisplaySettings * osgViewer::View::getDisplaySettings | ( |  | ) |

inline

Set the DisplaySettings object associated with this view.

References _displaySettings.

## getDisplaySettings() [2/2]

const osg::DisplaySettings * osgViewer::View::getDisplaySettings | ( |  | ) | const

inline

Set the DisplaySettings object associated with this view.

References _displaySettings.

## getEventHandlers() [1/2]

EventHandlers & osgViewer::View::getEventHandlers | ( |  | ) |

inline

Get the View's list of EventHandlers.

References _eventHandlers.

## getEventHandlers() [2/2]

const EventHandlers & osgViewer::View::getEventHandlers | ( |  | ) | const

inline

Get the const View's list of EventHandlers.

References _eventHandlers.

## getEventQueue() [1/2]

osgGA::EventQueue * osgViewer::View::getEventQueue | ( |  | ) |

inline

References _eventQueue.

## getEventQueue() [2/2]

const osgGA::EventQueue * osgViewer::View::getEventQueue | ( |  | ) | const

inline

References _eventQueue.

## getFusionDistanceMode()

osgUtil::SceneView::FusionDistanceMode osgViewer::View::getFusionDistanceMode | ( |  | ) | const

inline

Get the FusionDistanceMode.

References _fusionDistanceMode.

## getFusionDistanceValue()

float osgViewer::View::getFusionDistanceValue | ( |  | ) | const

inline

Get the FusionDistanceValue. Note, only used for USE_FUSION_DISTANCE_VALUE & PROPORTIONAL_TO_SCREEN_DISTANCE modes.

References _fusionDistanceValue.

## getImagePager() [1/2]

osgDB::ImagePager * osgViewer::View::getImagePager | ( |  | ) |

Get the View's image pager.

## getImagePager() [2/2]

const osgDB::ImagePager * osgViewer::View::getImagePager | ( |  | ) | const

Get the const View's image pager.

## getLastAppliedViewConfig() [1/2]

ViewConfig * osgViewer::View::getLastAppliedViewConfig | ( |  | ) |

inline

References _lastAppliedViewConfig.

## getLastAppliedViewConfig() [2/2]

const ViewConfig * osgViewer::View::getLastAppliedViewConfig | ( |  | ) | const

inline

References _lastAppliedViewConfig.

## getScene() [1/2]

Scene * osgViewer::View::getScene | ( |  | ) |

inline

References _scene.

## getScene() [2/2]

const Scene * osgViewer::View::getScene | ( |  | ) | const

inline

References _scene.

## getSceneData() [1/2]

osg::Node * osgViewer::View::getSceneData | ( |  | ) |

inline

Get the View's scene graph.

References _scene.

## getSceneData() [2/2]

const osg::Node * osgViewer::View::getSceneData | ( |  | ) | const

inline

Get the const View's scene graph.

References _scene.

## getStartTick()

osg::Timer_t osgViewer::View::getStartTick | ( |  | ) | const

inline

References _startTick.

## getViewerBase()

ViewerBase * osgViewer::View::getViewerBase | ( |  | ) |

inline

Provide a mechanism for getting the viewer object from this osgViewer::View. In the case of a osgViewer::Viewer the ViewerBase will effectively point to this object as Viewer subclasses from View. In the case of a osgViewer::CompsoiteViewer the ViewerBase will point to the CompositeViewer that owns this View.

References _viewerBase.

## home()

void osgViewer::View::home | ( |  | ) |

Set the view to the CameraManipulator's home position, if none is attached home() it does nothing. Note, to set the home position use getCamaraManipulator()->setHomePosition(...).

## init()

void osgViewer::View::init | ( |  | ) |

Referenced by osgViewer::Viewer::viewerInit().

## META_Object()

osgViewer::View::META_Object | ( | osgViewer | ,
|  | View | )

References View().

## removeDevice() [1/2]

template<class T>

void osgViewer::View::removeDevice | ( | const osg::ref_ptr< T > & | eventSource | ) |

inline

References osg::ref_ptr< T >::get(), and removeDevice().

Referenced by removeDevice().

## removeDevice() [2/2]

void osgViewer::View::removeDevice | ( | osgGA::Device * | eventSource | ) |

Remove a Device.

## removeEventHandler() [1/2]

template<class T>

void osgViewer::View::removeEventHandler | ( | const osg::ref_ptr< T > & | eventHandler | ) |

inline

References osg::ref_ptr< T >::get(), and removeEventHandler().

Referenced by removeEventHandler().

## removeEventHandler() [2/2]

void osgViewer::View::removeEventHandler | ( | osgGA::EventHandler * | eventHandler | ) |

Remove an EventHandler from View.

## requestContinuousUpdate()

virtual void osgViewer::View::requestContinuousUpdate | ( | bool | needed = true | ) |

virtual

requestContinuousUpdate(bool) is for en/disabling a throw or idle callback to be requested by a GUIEventHandler (typically a CameraManipulator, though other GUIEventHandler's may also provide functionality). GUI toolkits can respond to this immediately by registering an idle/timed callback, or can delay setting the callback and update at their own leisure.

Implements osgGA::GUIActionAdapter.

## requestRedraw()

virtual void osgViewer::View::requestRedraw | ( |  | ) |

virtual

requestRedraw() requests a single redraw.

Implements osgGA::GUIActionAdapter.

## requestWarpPointer()

virtual void osgViewer::View::requestWarpPointer | ( | float | x,
|  | float | y )

virtual

requestWarpPointer(int,int) is requesting a repositioning of the mouse pointer to a specified x,y location on the window. This is used by some camera manipulators to initialise the mouse pointer when mouse position relative to a controls neutral mouse position is required, i.e when mimicking an aircraft joystick.

Implements osgGA::GUIActionAdapter.

## requiresRedraw()

virtual bool osgViewer::View::requiresRedraw | ( |  | ) | const

virtual

Return true if there are graphics operations that require a draw of the grpahics context.

## requiresUpdateSceneGraph()

virtual bool osgViewer::View::requiresUpdateSceneGraph | ( |  | ) | const

virtual

Return true if there are pending updates to the scene graph that require an update.

## setCameraManipulator() [1/2]

template<class T>

void osgViewer::View::setCameraManipulator | ( | const osg::ref_ptr< T > & | manipulator,
|  | bool | resetPosition = true )

inline

References osg::ref_ptr< T >::get(), and setCameraManipulator().

Referenced by setCameraManipulator().

## setCameraManipulator() [2/2]

void osgViewer::View::setCameraManipulator | ( | osgGA::CameraManipulator * | manipulator,
|  | bool | resetPosition = true )

Set the CameraManipulator that moves the View's master Camera position in response to events. The parameter resetPosition determines whether manipulator is set to its home position.

## setCoordinateSystemNodePath()

void osgViewer::View::setCoordinateSystemNodePath | ( | const osg::NodePath & | nodePath | ) |

Set the NodePath to any active CoordinateSystemNode present in the Scene. The CoordinateSystemNode path is used to help applications and CamaraManipulators handle geocentric coordinates systems, so that the local up direction is known at any position on the whole earth.

## setDatabasePager() [1/2]

template<class T>

void osgViewer::View::setDatabasePager | ( | const osg::ref_ptr< T > & | dp | ) |

inline

References osg::ref_ptr< T >::get(), and setDatabasePager().

Referenced by setDatabasePager().

## setDatabasePager() [2/2]

void osgViewer::View::setDatabasePager | ( | osgDB::DatabasePager * | dp | ) |

Set the View's database pager.

## setDisplaySettings() [1/2]

template<class T>

void osgViewer::View::setDisplaySettings | ( | const osg::ref_ptr< T > & | ds | ) |

inline

References osg::ref_ptr< T >::get(), and setDisplaySettings().

Referenced by setDisplaySettings().

## setDisplaySettings() [2/2]

void osgViewer::View::setDisplaySettings | ( | osg::DisplaySettings * | ds | ) |

inline

Set the DisplaySettings object associated with this view.

References _displaySettings.

## setEventQueue() [1/2]

template<class T>

void osgViewer::View::setEventQueue | ( | const osg::ref_ptr< T > & | eventQueue | ) |

inline

References osg::ref_ptr< T >::get(), and setEventQueue().

Referenced by setEventQueue().

## setEventQueue() [2/2]

void osgViewer::View::setEventQueue | ( | osgGA::EventQueue * | eventQueue | ) |

inline

References _eventQueue.

## setFusionDistance()

void osgViewer::View::setFusionDistance | ( | osgUtil::SceneView::FusionDistanceMode | mode,
|  | float | value = 1.0f )

inline

Set the FusionDistanceMode and Value. Note, only used when working in stereo.

References _fusionDistanceMode, and _fusionDistanceValue.

## setImagePager() [1/2]

template<class T>

void osgViewer::View::setImagePager | ( | const osg::ref_ptr< T > & | ip | ) |

inline

References osg::ref_ptr< T >::get(), and setImagePager().

Referenced by setImagePager().

## setImagePager() [2/2]

void osgViewer::View::setImagePager | ( | osgDB::ImagePager * | ip | ) |

Set the View's image pager.

## setSceneData() [1/2]

template<class T>

void osgViewer::View::setSceneData | ( | const osg::ref_ptr< T > & | node | ) |

inline

References osg::ref_ptr< T >::get(), and setSceneData().

Referenced by setSceneData().

## setSceneData() [2/2]

virtual void osgViewer::View::setSceneData | ( | osg::Node * | node | ) |

virtual

Set the scene graph that the View will use.

Reimplemented in osgViewer::Viewer.

Referenced by osgViewer::Viewer::setReferenceTime().

## setStartTick()

virtual void osgViewer::View::setStartTick | ( | osg::Timer_t | tick | ) |

virtual

Reimplemented in osgViewer::Viewer.

## setUpDepthPartition()

bool osgViewer::View::setUpDepthPartition | ( | DepthPartitionSettings * | dsp = 0 | ) |

Convenience method for setting up multiple slave cameras with depth partitioning on each of the view's active cameras.

## setUpDepthPartitionForCamera()

bool osgViewer::View::setUpDepthPartitionForCamera | ( | osg::Camera * | cameraToPartition,
|  | DepthPartitionSettings * | dps = 0 )

Convenience method for setting up depth partitioning on the specified camera.

## setUpViewAcrossAllScreens()

void osgViewer::View::setUpViewAcrossAllScreens | ( |  | ) |

deprecated, use view.apply(new osgViewer::AcrossAllScreens()).

## setUpViewFor3DSphericalDisplay()

void osgViewer::View::setUpViewFor3DSphericalDisplay | ( | double | radius = 1.0,
|  | double | collar = 0.45,
|  | unsigned int | screenNum = 0,
|  | osg::Image * | intensityMap = 0,
|  | const osg::Matrixd & | projectorMatrix = osg::Matrixd() )

deprecated, use view.apply(new osgViewer::SphericalDisplay(radius, collar, screenNum, intensityMap, projectorMatrix)).

## setUpViewForPanoramicSphericalDisplay()

void osgViewer::View::setUpViewForPanoramicSphericalDisplay | ( | double | radius = 1.0,
|  | double | collar = 0.45,
|  | unsigned int | screenNum = 0,
|  | osg::Image * | intensityMap = 0,
|  | const osg::Matrixd & | projectorMatrix = osg::Matrixd() )

deprecated, use view.apply(new osgViewer::PanoramicSphericalDisplay(radius, collar, screenNum, intensityMap, projectorMatrix)).

## setUpViewForWoWVxDisplay()

void osgViewer::View::setUpViewForWoWVxDisplay | ( | unsigned int | screenNum,
|  | unsigned char | wow_content,
|  | unsigned char | wow_factor,
|  | unsigned char | wow_offset,
|  | float | wow_disparity_Zd,
|  | float | wow_disparity_vz,
|  | float | wow_disparity_M,
|  | float | wow_disparity_C )

deprecated. use view.apply(new osgViewer::WoWVxDisplay(type (20 to 42), screenNum).

## setUpViewInWindow()

void osgViewer::View::setUpViewInWindow | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | unsigned int | screenNum = 0 )

deprecated, use view.apply(new osgViewer::SingleWindow(x,y,width,screenNum)).

## setUpViewOnSingleScreen()

void osgViewer::View::setUpViewOnSingleScreen | ( | unsigned int | screenNum = 0 | ) |

deprecated, use view.apply(new osgViewer::SingleScreen(screenNum)).

## take()

virtual void osgViewer::View::take | ( | osg::View & | rhs | ) |

virtual

Take all the settings, Camera and Slaves from the passed in view, leaving it empty.

Reimplemented from osg::View.

Reimplemented in osgViewer::Viewer.

## Friends And Related Symbol Documentation

## CompositeViewer

friend class CompositeViewer

friend

References CompositeViewer.

Referenced by CompositeViewer.

## Member Data Documentation

## _cameraManipulator

osg::ref_ptr<osgGA::CameraManipulator> osgViewer::View::_cameraManipulator

protected

Referenced by getCameraManipulator(), and getCameraManipulator().

## _coordinateSystemNodePath

osg::ObserverNodePath osgViewer::View::_coordinateSystemNodePath

protected

## _displaySettings

osg::ref_ptr<osg::DisplaySettings> osgViewer::View::_displaySettings

protected

Referenced by getDisplaySettings(), getDisplaySettings(), and setDisplaySettings().

## _eventHandlers

EventHandlers osgViewer::View::_eventHandlers

protected

Referenced by getEventHandlers(), and getEventHandlers().

## _eventQueue

osg::ref_ptr<osgGA::EventQueue> osgViewer::View::_eventQueue

protected

Referenced by getEventQueue(), getEventQueue(), and setEventQueue().

## _eventSources

Devices osgViewer::View::_eventSources

protected

Referenced by getDevices(), and getDevices().

## _fusionDistanceMode

osgUtil::SceneView::FusionDistanceMode osgViewer::View::_fusionDistanceMode

protected

Referenced by getFusionDistanceMode(), and setFusionDistance().

## _fusionDistanceValue

float osgViewer::View::_fusionDistanceValue

protected

Referenced by getFusionDistanceValue(), and setFusionDistance().

## _lastAppliedViewConfig

osg::ref_ptr<ViewConfig> osgViewer::View::_lastAppliedViewConfig

protected

Referenced by getLastAppliedViewConfig(), and getLastAppliedViewConfig().

## _scene

osg::ref_ptr<osgViewer::Scene> osgViewer::View::_scene

protected

Referenced by getScene(), getScene(), getSceneData(), and getSceneData().

## _startTick

osg::Timer_t osgViewer::View::_startTick

protected

Referenced by getStartTick().

## _viewerBase

osg::observer_ptr<ViewerBase> osgViewer::View::_viewerBase

protected

Referenced by getViewerBase().

The documentation for this class was generated from the following file:

- osgViewer/View